Skip to content
GBG Documents & Biometrics Documentation

/CelebrityCheck

POST
/CelebrityCheck
curl --request POST \
--url https://liveness-v2-eu.core.idscan.cloud/CelebrityCheck \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form FaceImage=@file \
--form 'AdditionalDetails={ "additionalProperty": "example" }'

Performs celebrity check from an image.

Celebrity Check endpoint allows for an image containing a face to be uploaded for processing to detect if the person in the image is a known celebrity.

x-correlation-id
string

Correlation Id for the request

Media typemultipart/form-data
object
FaceImage

The face image containing the image data. Supported formats: JPEG, PNG. Maximum size: 4 MB.

string format: binary
AdditionalDetails

Additional metadata for the request.

object
key
additional properties
string
RequestId
string
CorrelationId
string

Returns the celebrity check result.

Response from celebrity check service.

object
correlationId
string
nullable
isCelebrity

Indicates whether a celebrity was detected in the image.

boolean
celebrityName

The name of the detected celebrity, if any.

string
nullable
errorCode

Error code if any.

string
nullable
error

Error message if any.

string
nullable
additionalDetails

Additional details.

object
key
additional properties
string
nullable

Error with the provided parameters.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

Internal error during processing.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable